
#include <string>
#include <tulip/Graph.h>

#ifndef __INIT_HIERARCHY_STRUCTURE_H__
#define __INIT_HIERARCHY_STRUCTURE_H__
/**
 * Initializes the hierarchy for GrouseFlocks
 */
void initHierarchy (tlp::Graph *&hierarchy, tlp::Graph *&hierarchySubGraphs,
		    tlp::node &hierarchyRootNode,
		    const std::string &hierarchyMetaGraphProperty,
		    tlp::Graph *rootGraph,
		    bool &isDisconnected);

/**
 * Initializes the input graph for grouse flocks
 */
void initFinalLayout (tlp::Graph *&finalLayout, tlp::Graph *rootGraph);
#endif
