#ifndef QtProgress_TULIP
#define QtProgress_TULIP
#include <string>
#include <tulip/PluginProgress.h>
#include "QtProgressWidgetData.h"

class QtProgressWidget:public QtProgressWidgetData, public tlp::PluginProgress {

  Q_OBJECT

public:
  QtProgressWidget(QWidget* parent = 0,const char *name = 0, 
		   Qt::WFlags fl = 0);
  virtual ~QtProgressWidget();
  void progress_handler(int i,int j);
  void setComment(std::string msg);
  void showPreview(bool);
  void reset ();
  void enable_buttons (bool stop, bool cancel);
public slots:
  void stopCompute();
  void cancelCompute();

};

#endif
